ElGamal Struct Reference

ElGamal encryption scheme with non-standard padding. More...

`#include <elgamal.h>`

## Public Types

typedef DL_CryptoSchemeOptions < ElGamal, ElGamalKeys, int, int, int > | SchemeOptions
typedef SchemeOptions::GroupParameters | GroupParameters
typedef PK_FinalTemplate < ElGamalObjectImpl < DL_EncryptorBase< Integer > , SchemeOptions, SchemeOptions::PublicKey > > | Encryptor
| implements PK_Encryptor interface
typedef PK_FinalTemplate < ElGamalObjectImpl < DL_DecryptorBase< Integer > , SchemeOptions, SchemeOptions::PrivateKey > > | Decryptor
| implements PK_Decryptor interface

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

ElGamal encryption scheme with non-standard padding.

Definition at line 103 of file elgamal.h.

The documentation for this struct was generated from the following file:

- elgamal.h